/***

hello.c -- Error Handler example, hello world!

    Copyright (C) 1997  CSEG, Inc., All rights reserved.
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   
 
    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.
 
***/

#include <eh.h>              /* include the Error Handler header */

main(int argc, char **argv)  /* argc/argv required by Error Handler */
{
   EHMAIN(argc, argv) {      /* initialize the Error Handler */

      puts("Hello, world."); /* put body of main here */
      while (--argc)	       /* for fun print out the command line */
         puts(*++argv);      /* arguments, one per line */

   } EHENDMAIN;              /* EHMAIN() requires this */

   EHDONE(0);                /* terminate Error Handler */
}
