/***

lrinit.h -- Local Resources, initialization

    Copyright (C) 1997  CSEG, Inc., All rights reserved.
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   
 
    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.
 
***/

#ifndef LRINIT_H
#define LRINIT_H 1
static const char*lrinit_h =
       "$Id: lrinit.h,v 1.5 1996/01/09 02:31:41 ccobb Exp $";

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif

#ifndef   EH_H
#include <eh.h>
#endif

/* local resource types that we are tracking */
typedef enum 
{
   LR_RES_UNKNOWN,             /* un-determined (yet) */
   LR_RES_DIRENT = EH_RES_MAX, /* directory entries: see lrdirent.c */
   LR_RES_FILDES               /* file descriptors:  see lrfildes.c */
}  LR_RES_TYPES;               /* local resource tracking types */

#endif /* LRINIT_H */

