/***

ehcpuchk.c -- Error Handler,  check cpu characteristics

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

static const char *rcsid =
       "$Id: ehcpuchk.c,v 1.2 1995/04/09 08:30:42 ccobb Exp $";

#include "ehcpuchk.h"

typedef union
{
   int  i;
   char ac[sizeof(int)];
} CPUCHECK;

void
ehCpuChk A0()
{
   CPUCHECK CpuCheck;

   // puts("ehCpuChk: entering");

   CpuCheck.i = (int)0x12345678L;
   Eh.iLoHi = (CpuCheck.ac[0] == (char)0x12);

   /*** we may also want to do any alignment check here ***/

   // puts("ehCpuChk: leaving");

}

