/***

lrmemtrk.h -- Local Resource tracking, additional memory tracking

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

#ifndef LRMEMTRK_H
#define LRMEMTRK_H 1
static const char*lrmemtrk_h =
       "$Id: lrmemtrk.h,v 1.2 1996/04/26 19:58:16 ccobb Exp $";

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif

#ifndef   EHMEMTRK_H
#include <ehmemtrk.h>
#endif

/*** memory tracking support ***/

char *_lrStrdup A((const char *pcFil, const char *pcFun, int iLin,
                  const char *string));

#ifndef LR_NO_MEMORY_TRACKING

#define strdup(str)\
 _lrStrdup(__FILE__, _EHFUNC_, __LINE__, str)

#endif /* LR_NO_MEMORY_TRACKING */

#endif /* LRMEMTRK_H */
