/***

ehperror.h -- Error Handler, print error messages

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

#ifndef EHPERROR_H
#define EHPERROR_H 1
static const char*ehperror_h =
       "$Id: ehperror.h,v 1.2 1995/04/09 08:33:43 ccobb Exp $";

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif

#ifndef   EH_H
#include "eh.h"
#endif

#ifndef   EHFUNTRC_H
#include "ehfuntrc.h"
#endif

void ehFndMsg A((ulong ulStampOff, ER Er));
void ehLogTxt A((const char *pcLogTxt));

#endif /* EHPERROR_H */



