/***

t_oneres.c -- Error Handler, simple exercise of resource handler

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

static const char*rcsid =
       "$Id: t_pgm.c,v 1.5 1996/03/04 06:46:59 ccobb Exp $";

#define _POSIX_SOURCE 1

#include "ehmemtrk.h"

EHFILENAME("t_oneres.c");

extern char cEhFunTrc, cEhPgmTrc, cDmpEhSt, cEhResDmp;

int 
main A2(
   int,    argc, 
   char**, argv)
{
   char *volatile pc = NULL;

   //cEhFunTrc = 1;
   //cEhPgmTrc = 1;
   //cDmpEhSt = 1;
   //cEhResDmp = 1;

   EHMAIN(argc, argv) {   /* initialize Error Handler */

      pc = (char*)malloc(123);

   } EHENDMAIN;

   //ehSetFun(0, 1);
   //ehSetVol(0, 3);

   if (pc) free(pc);

   EHDONE(ehError());    /* de-initialize Error Handler */
}
